Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.event
Interface IEventHandler

All Known Subinterfaces:
  IBasicScope, IBroadcastScope, IConnection, ICoreObject, IGlobalScope, IRemotingConnection, IScope, IScopeHandler, IServiceCapableConnection, ISharedObject, IStreamAwareScopeHandler, IStreamCapableConnection

All Known Implementing Classes:
  AbstractScopeAdapter, ApplicationAdapter, BaseConnection, BaseRTMPTConnection, BasicScope, BroadcastScope, CoreHandler, EdgeRTMPMinaConnection, GlobalScope, MultiThreadedApplicationAdapter, RemotingConnection, RTMPConnection, RTMPMinaConnection, RTMPOriginConnection, RTMPTClientConnection, RTMPTConnection, Scope, SharedObjectScope, StatefulScopeWrappingAdapter, WebScope

    public interface IEventHandler

Method Summary
`boolean` | `handleEvent(IEvent event)` Handle an event

Method Detail

### handleEvent

    boolean handleEvent(IEvent event)

  Handle an event

  Parameters:
    `event` - event to handle
  Returns:
    true if event was handled, false if it should bubble

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project